Bug 145504 - Quota and Repquota commands not updating
Quota and Repquota commands not updating
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: quota (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Chris Feist
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-18 19:49 EST by Dave Brown
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-08 00:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Brown 2005-01-18 19:49:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
Output of repquota and quota commands not updating in real time.
System is running Fedora Core 2 with 1 LVM Physical Volume and 2 LVM
logical volumes. An ext3 filesystem is created on each Logical volume
and usrquota is specified in mount options (grpquota not specified nor
required). Volumes are 300Gb and 383Gb (approx) in size. Physical
volume  is actually a RAID5 set (although i think this shouldn't
matter). User /  shadow / group information stored in LDAP and approx
20000 users in directory (although will grow to about 200,000).

Version-Release number of selected component (if applicable):
quota-3.10-2

How reproducible:
Always

Steps to Reproduce:
1.Create user either in LDAP or using useradd.
2.setquota -u username 10000 10000 0 0 /partition
3.chown username:username /partition/file
4.quota -uv username
    

Actual Results:  quota -uv returns
Disk quotas for user username (uid 200):
Filesystem  blocks   quota   limit   grace   files   quota   limit  grace
/dev/mapper/lvg-partition
                      0   10000   10000               0       0       0 

Expected Results:  quota -uv should return
Disk quotas for user username (uid 200):
Filesystem  blocks   quota   limit   grace   files   quota   limit  grace
/dev/mapper/lvg-partition
                      filesize   10000   10000               0       0
      0 

Additional info:

Once a quotacheck -avum is run on the filesystem the reported
blocksize is correct, however the reported size is not updated "on the
fly". It only updates after a quotacheck. This size should update on
every write to disk for the affected user.
Comment 1 Dave Brown 2005-01-31 23:21:40 EST
Can someone please change priority on this bug to high, unfortunately
when i try to do it bugzilla tells me i don't have the access (even
though i am the bug submitter).
Comment 3 Chris Feist 2005-02-01 15:16:22 EST
Are you running 'quotaon -a' or 'quotaon /filesystem' as part of your
bootup process?

Also, can you post the output of the 'quotaoff -a' command.
Comment 4 Dave Brown 2005-02-08 00:54:42 EST
My apologies, we are using Linuxha to mount the partititions and I
have just found that it doesnt turn on quotas on the filesystem when
you mount it (even if you tell it to mount using usrquota or grpquota
options). I have had to write a short script for linuxha to actually
turn quota on when it brings up its resources.

Am closing the bug.

Note You need to log in before you can comment on or make changes to this bug.